import request from '@/utils/request'

// 查询外呼模型模型列表
export function listAiSopCallStaffModels(query) {
  return request({
    url: '/aiSopCallStaffModels/aiSopCallStaffModels/list',
    method: 'get',
    params: query
  })
}

// 查询外呼模型模型详细
export function getAiSopCallStaffModels(id) {
  return request({
    url: '/aiSopCallStaffModels/aiSopCallStaffModels/' + id,
    method: 'get'
  })
}

// 新增外呼模型模型
export function addAiSopCallStaffModels(data) {
  return request({
    url: '/aiSopCallStaffModels/aiSopCallStaffModels',
    method: 'post',
    data: data
  })
}

// 修改外呼模型模型
export function updateAiSopCallStaffModels(data) {
  return request({
    url: '/aiSopCallStaffModels/aiSopCallStaffModels',
    method: 'put',
    data: data
  })
}

// 删除外呼模型模型
export function delAiSopCallStaffModels(id) {
  return request({
    url: '/aiSopCallStaffModels/aiSopCallStaffModels/' + id,
    method: 'delete'
  })
}

// 导出外呼模型模型
export function exportAiSopCallStaffModels(query) {
  return request({
    url: '/aiSopCallStaffModels/aiSopCallStaffModels/export',
    method: 'get',
    params: query
  })
}
